#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Unicode-Map
Version		:	0.112
Release		:	14.8.0.0%{?dist}
Summary		:	Maps charsets from and to utf16 unicode
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

%global __requires_exclude perl\\(Unicode::LineBreak::Constants\\)
#-----------------------------------------------------------------------------
%description
This module converts strings from and to 2-byte Unicode
UCS2 format. All mappings happen via 2 byte UTF16 encodings,
not via 1 byte UTF8 encoding. To transform these use
Unicode::String.

For historical reasons this module coexists with Unicode::Map8.
Please use Unicode::Map8 unless you need to care for two byte
character sets, e.g. chinese GB2312. Anyway, if you stick to
the basic functionality (see documentation) you can use both
modules equivalently.

Practically this module will disappear from earth sooner or
later as Unicode mapping support needs somehow to get into
perl's core. If you like to work on this field please don't
hesitate contacting Gisle Aas!

This module can't deal directly with utf8. Use Unicode::String
to convert utf8 to utf16 and vice versa.

Character mapping is according to the data of binary mapfiles
in Unicode::Map hierarchy. Binary mapfiles can also be created
with this module, enabling you to install own specific character
sets. Refer to mkmapfile or file REGISTRY in the Unicode::Map hierarchy.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/map
%{_bindir}/mirrorMappings
%{_bindir}/mkCSGB2312
%{_bindir}/mkmapfile
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/ADOBE/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/APPLE/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/EASTASIA/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/IBM/IBM038.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/ISO/8859-*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/ISO/ISO646-US.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/MS/DOS/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/MS/EBCDIC/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/MS/WIN/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/MS/MAC/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/NEXT/*.map
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/Map/REGISTRY
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Unicode/Map/Map.so
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
